Bug 1565905 - Update links and version numbers in the Errata Management Guide
Summary: Update links and version numbers in the Errata Management Guide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Errata Management Guide
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Vlada Grosu
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 03:29 UTC by Andrew Dahms
Modified: 2019-09-26 14:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 08:38:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Dahms 2018-04-11 03:29:50 UTC
Update the links and version numbers in the Errata Management Guide for Satellite 6.4-Beta.

Change references to the version number to {ProductVersion} so that the global attribute is used instead of a hard-coded value.

Comment 1 Andrew Dahms 2018-04-11 05:41:18 UTC
Assigning to Vlada for review.

Comment 2 Vlada Grosu 2018-04-11 16:04:25 UTC
Hi Andrew,

There seem to be no hard-coded references to the version number in Errata Management Guide, except for the master.adoc and the master-docinfo.xml files.

Sorry if this seems to be a silly question, but should I include the {ProductVersion} global attribute in those 2 files?
Can we use an attribute within an attribute for the master.adoc file? or attributes within XML tags for the master-docinfo.xml file?

Many thanks,
Vlada

Comment 3 Andrew Dahms 2018-04-11 23:38:53 UTC
Hi Vlada,

Thank you for your needinfo request.

Good question - attributes are a feature of AsciiDoc, so they cannot be applied to DocBook XML (although it has it's own system of attributes called 'entities').

At this stage, if there are no references to version numbers or version-specific URLs, I think we can close this as 'notabug' and considered it reviewed for now.

This does raise a good question of exactly what details we need to include above the chapters in the master.adoc file, though, so we might want to review and standardize our approach there at some stage.

Thanks for reaching out.

Kind regards,

Andrew


Note You need to log in before you can comment on or make changes to this bug.